Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1882175 - [abrt] fldigi: diediedie(): fldigi killed by SIGSEGV
Summary: [abrt] fldigi: diediedie(): fldigi killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fldigi
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:025864719cf7e4bf683e8f0ec2e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-24 01:17 UTC by Mark Walker
Modified: 2020-11-03 00:32 UTC (History)
2 users (show)

Fixed In Version: fldigi-4.1.14-1.fc33 fldigi-4.1.15-1.fc32 fldigi-4.1.15-1.fc31 fldigi-4.1.15-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-23 22:12:42 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (52.73 KB, text/plain)
2020-09-24 01:17 UTC, Mark Walker
no flags Details
File: core_backtrace (33.65 KB, text/plain)
2020-09-24 01:17 UTC, Mark Walker
no flags Details
File: cpuinfo (2.36 KB, text/plain)
2020-09-24 01:17 UTC, Mark Walker
no flags Details
File: dso_list (5.64 KB, text/plain)
2020-09-24 01:17 UTC, Mark Walker
no flags Details
File: environ (1.68 KB, text/plain)
2020-09-24 01:17 UTC, Mark Walker
no flags Details
File: exploitable (82 bytes, text/plain)
2020-09-24 01:17 UTC, Mark Walker
no flags Details
File: limits (1.29 KB, text/plain)
2020-09-24 01:17 UTC, Mark Walker
no flags Details
File: maps (44.42 KB, text/plain)
2020-09-24 01:17 UTC, Mark Walker
no flags Details
File: mountinfo (2.58 KB, text/plain)
2020-09-24 01:17 UTC, Mark Walker
no flags Details
File: open_fds (3.50 KB, text/plain)
2020-09-24 01:17 UTC, Mark Walker
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2020-09-24 01:17 UTC, Mark Walker
no flags Details
File: var_log_messages (3.62 KB, text/plain)
2020-09-24 01:17 UTC, Mark Walker
no flags Details

Description Mark Walker 2020-09-24 01:17:39 UTC
Description of problem:
FLDIGI crashes within seconds of opening. Tried changing tile_x and tile_y values in fldigi.prefs but crashes still occur although it appears to take a longer or shorter time before the crash, but it still crashes no matter what values I had changed.

Version-Release number of selected component:
fldigi-4.1.13-2.fc32

Additional info:
reporter:       libreport-2.13.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-launched-fldigi.desktop-6560.scope
cmdline:        fldigi
crash_function: diediedie
executable:     /usr/bin/fldigi
journald_cursor: s=825b5e5c4e7b4c0fb6c08046198f9fe8;i=1dc900;b=49620e2bd4b146eba4149477bf473665;m=fe803f7b;t=5b0049e7a9528;x=f455c74d33a5129a
kernel:         5.8.10-200.fc32.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Mark Walker 2020-09-24 01:17:43 UTC
Created attachment 1716178 [details]
File: backtrace

Comment 2 Mark Walker 2020-09-24 01:17:45 UTC
Created attachment 1716179 [details]
File: core_backtrace

Comment 3 Mark Walker 2020-09-24 01:17:46 UTC
Created attachment 1716180 [details]
File: cpuinfo

Comment 4 Mark Walker 2020-09-24 01:17:47 UTC
Created attachment 1716181 [details]
File: dso_list

Comment 5 Mark Walker 2020-09-24 01:17:48 UTC
Created attachment 1716182 [details]
File: environ

Comment 6 Mark Walker 2020-09-24 01:17:49 UTC
Created attachment 1716183 [details]
File: exploitable

Comment 7 Mark Walker 2020-09-24 01:17:50 UTC
Created attachment 1716184 [details]
File: limits

Comment 8 Mark Walker 2020-09-24 01:17:51 UTC
Created attachment 1716185 [details]
File: maps

Comment 9 Mark Walker 2020-09-24 01:17:53 UTC
Created attachment 1716186 [details]
File: mountinfo

Comment 10 Mark Walker 2020-09-24 01:17:55 UTC
Created attachment 1716187 [details]
File: open_fds

Comment 11 Mark Walker 2020-09-24 01:17:56 UTC
Created attachment 1716188 [details]
File: proc_pid_status

Comment 12 Mark Walker 2020-09-24 01:17:57 UTC
Created attachment 1716189 [details]
File: var_log_messages

Comment 13 Richard Shaw 2020-09-25 13:44:00 UTC
This looks to be either Portaudio or Pulse Audio related. I would try renaming your ~/.fldigi/fldigi.prefs (or whatever it's called) and re-set things up. If you can still reproduce the problem I'll reach out to the author.

Comment 14 Mark Walker 2020-09-25 16:10:16 UTC
Similar problem has been detected:

In response to instructions in Bug 1882175, deleted entire .fldigi folder path and dnf reinstalled fldigi. Crash occurred while trying to set up TCP control to flrig running correctly on another Fedora machine that is also connected to the radio.

reporter:       libreport-2.13.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-launched-fldigi.desktop-5542.scope
cmdline:        fldigi
crash_function: diediedie
executable:     /usr/bin/fldigi
journald_cursor: s=825b5e5c4e7b4c0fb6c08046198f9fe8;i=1e0e1c;b=50d3b0e80ee34408b05fab5f27ce2c0f;m=5dd3cc36;t=5b0250e797783;x=64519df37fac41e1
kernel:         5.8.10-200.fc32.x86_64
package:        fldigi-4.1.13-2.fc32
reason:         fldigi killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Mark Walker 2020-09-25 16:16:04 UTC
In an email response, had added the following information:
I deleted the entire .fldigi folder path and dnf reinstalled fldigi. It let me go through the setup, but I was unable to get it to initialize with my Yaesu FT-450D radio through the SignaLink interface. That's likely me not yet knowing how to set up fldigi, and it crashed again. I was trying to get it to connect via TCP to the working flrig on another Fedora machine that is separately connected to the radio and works to the extent that flrig works with an FT-450D.

I let abrt generate a new backtrace from the latest crash in case that might provide some additional information. That was entered separately above to this bug.

Comment 16 Richard Shaw 2020-09-25 16:42:22 UTC
Obviously it should crash... But have you confirmed you can connect? I'm assuming you're running the standard workstation profile for FirewallD which allows connections over port 1000 by default.

Comment 17 Richard Shaw 2020-10-07 11:33:16 UTC
That was supposed to be "shouldn't crash"...

Any progress to report?

Comment 18 Mark Walker 2020-10-07 12:01:46 UTC
(In reply to Richard Shaw from comment #17)
> That was supposed to be "shouldn't crash"...
> 
> Any progress to report?

A short update: fldigi is working on my Fedora laptop, and it can decode RTTY and CW (I haven't yet found which of the many different digital encoding methods the other stations are using). However, I have not yet been able to find a way for the Hamlib interface to key the transmitter; I've tried all of the /dev/tty connections it sees, and there are no other options to pick from; still working on that (/dev/ttyUSB0 doesn't show up in the fldigi pull-down list). Also yet to do is run to ground the TCP connection to flrig on the other Fedora machine. However, I think you can close the bug about fldigi crashing; let me know if you'd like me to post that on the Bugzilla site directly.

Thanks,
Mark

Comment 19 Fedora Update System 2020-10-12 17:38:01 UTC
FEDORA-2020-f7922c404d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f7922c404d

Comment 20 Fedora Update System 2020-10-12 17:38:05 UTC
FEDORA-2020-fb9399a75a has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-fb9399a75a

Comment 21 Fedora Update System 2020-10-12 17:38:08 UTC
FEDORA-EPEL-2020-edab67d2d9 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-edab67d2d9

Comment 22 Fedora Update System 2020-10-12 17:38:10 UTC
FEDORA-2020-c8eb74407c has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c8eb74407c

Comment 23 Fedora Update System 2020-10-12 22:46:20 UTC
FEDORA-2020-c8eb74407c has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-c8eb74407c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c8eb74407c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 24 Fedora Update System 2020-10-13 20:18:39 UTC
FEDORA-2020-fb9399a75a has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-fb9399a75a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-fb9399a75a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 25 Fedora Update System 2020-10-13 20:51:54 UTC
FEDORA-EPEL-2020-edab67d2d9 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-edab67d2d9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 26 Fedora Update System 2020-10-13 21:11:56 UTC
FEDORA-2020-f7922c404d has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-f7922c404d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f7922c404d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 27 Fedora Update System 2020-10-19 16:11:47 UTC
FEDORA-EPEL-2020-6cdc6bf610 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-6cdc6bf610

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 28 Fedora Update System 2020-10-19 17:07:43 UTC
FEDORA-2020-fbf4c1b0fd has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-fbf4c1b0fd`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-fbf4c1b0fd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 29 Fedora Update System 2020-10-19 18:03:11 UTC
FEDORA-2020-c9192fc3b2 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-c9192fc3b2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c9192fc3b2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 30 Fedora Update System 2020-10-23 22:12:42 UTC
FEDORA-2020-c8eb74407c has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 31 Fedora Update System 2020-10-27 01:10:07 UTC
FEDORA-2020-fbf4c1b0fd has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 32 Fedora Update System 2020-10-27 01:14:08 UTC
FEDORA-2020-c9192fc3b2 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 33 Fedora Update System 2020-11-03 00:32:21 UTC
FEDORA-EPEL-2020-6cdc6bf610 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.